Subject: Re: Use putenv+unsetenv instead of modifying environ directly

From: Fabrice Popineau <[email-masked]>
Date: Tue, 4 Dec 2012 14:51:06 +0100

Great.

Up to now, it seems to run ok. Provided I added some unsetenv() function
for w32.
(And it is much cleaner that the quick and dirty hack I applied for myself.)

Thanks,

Fabrice

2012/12/3 Paul Eggert <[email-masked]>

> Tags: patch
>
> The attached patch is in response to last week's thread on emacs-devel
> <http://lists.gnu.org/archive/html/emacs-devel/2012-11/msg00514.html>.
> It's relative to trunk bzr 111078.  Tested on Fedora 17.  I don't see
> any issues related to the Microsoft port but I'm CC:ing this to Eli
> and Fabrice just in case, as the original bug seems to be Windows-related.
>